| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# IG::Neural::DataMapperIdentity Class Reference

Inheritance diagram for IG::Neural::DataMapperIdentity:
[legend]
Collaboration diagram for IG::Neural::DataMapperIdentity:
[legend]

List of all members.

## Public Member Functions
| DataMapperIdentity ()
virtual void | MapInput (IVector reducedInput, ref IVector originalInput)
| Transfers elemts of reducedInput vector in the originalInput vector.
virtual void | MapOutput (IVector originalOutput, ref IVector reducedOutput)
| Transfers elemts of originalOutput vector in the reducedOutput vector.

## Detailed Description

## Constructor & Destructor Documentation

IG::Neural::DataMapperIdentity::DataMapperIdentity | ( |  | ) | `[inline]`

## Member Function Documentation

virtual void IG::Neural::DataMapperIdentity::MapInput | ( | IVector | reducedInput,
|  | ref IVector | originalInput
| ) |  | `[inline, virtual]`

Transfers elemts of reducedInput vector in the originalInput vector.

Parameters:

  reducedInput | reducedInput elements.
  originalInput | originalInput elements.

$A Igor Jul 19; tako78 Jul 19

Implements IG::Neural::IDataMapper.

Reimplemented in IG::Neural::DataMapperSimple.

virtual void IG::Neural::DataMapperIdentity::MapOutput | ( | IVector | originalOutput,
|  | ref IVector | reducedOutput
| ) |  | `[inline, virtual]`

Transfers elemts of originalOutput vector in the reducedOutput vector.

Parameters:

  originalOutput | originalOutput elements.
  reducedOutput | reducedOutput elements.

$A Igor Jul 19; tako78 Jul 19

Implements IG::Neural::IDataMapper.

Reimplemented in IG::Neural::DataMapperSimple.

The documentation for this class was generated from the following file:

- NeuralMapData.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events